head	1.6;
access;
symbols
	pkgsrc-2013Q2:1.6.0.28
	pkgsrc-2013Q2-base:1.6
	pkgsrc-2012Q4:1.6.0.26
	pkgsrc-2012Q4-base:1.6
	pkgsrc-2011Q4:1.6.0.24
	pkgsrc-2011Q4-base:1.6
	pkgsrc-2011Q2:1.6.0.22
	pkgsrc-2011Q2-base:1.6
	pkgsrc-2009Q4:1.6.0.20
	pkgsrc-2009Q4-base:1.6
	pkgsrc-2008Q4:1.6.0.18
	pkgsrc-2008Q4-base:1.6
	pkgsrc-2008Q3:1.6.0.16
	pkgsrc-2008Q3-base:1.6
	cube-native-xorg:1.6.0.14
	cube-native-xorg-base:1.6
	pkgsrc-2008Q2:1.6.0.12
	pkgsrc-2008Q2-base:1.6
	pkgsrc-2008Q1:1.6.0.10
	pkgsrc-2008Q1-base:1.6
	pkgsrc-2007Q4:1.6.0.8
	pkgsrc-2007Q4-base:1.6
	pkgsrc-2007Q3:1.6.0.6
	pkgsrc-2007Q3-base:1.6
	pkgsrc-2007Q2:1.6.0.4
	pkgsrc-2007Q2-base:1.6
	pkgsrc-2007Q1:1.6.0.2
	pkgsrc-2007Q1-base:1.6
	pkgsrc-2006Q4:1.5.0.12
	pkgsrc-2006Q4-base:1.5
	pkgsrc-2006Q3:1.5.0.10
	pkgsrc-2006Q3-base:1.5
	pkgsrc-2006Q2:1.5.0.8
	pkgsrc-2006Q2-base:1.5
	pkgsrc-2006Q1:1.5.0.6
	pkgsrc-2006Q1-base:1.5
	pkgsrc-2005Q4:1.5.0.4
	pkgsrc-2005Q4-base:1.5
	pkgsrc-2005Q3:1.5.0.2
	pkgsrc-2005Q3-base:1.5
	pkgsrc-2005Q2:1.4.0.10
	pkgsrc-2005Q2-base:1.4
	pkgsrc-2005Q1:1.4.0.8
	pkgsrc-2005Q1-base:1.4
	pkgsrc-2004Q4:1.4.0.6
	pkgsrc-2004Q4-base:1.4
	pkgsrc-2004Q3:1.4.0.4
	pkgsrc-2004Q3-base:1.4
	pkgsrc-2004Q2:1.4.0.2
	pkgsrc-2004Q2-base:1.4
	pkgsrc-2004Q1:1.3.0.2
	pkgsrc-2004Q1-base:1.3
	pkgsrc-2003Q4:1.2.0.2
	pkgsrc-2003Q4-base:1.2
	netbsd-1-6:1.1.1.1.0.8
	netbsd-1-6-RELEASE-base:1.1.1.1
	pkgviews:1.1.1.1.0.4
	pkgviews-base:1.1.1.1
	buildlink2:1.1.1.1.0.2
	buildlink2-base:1.1.1.1
	netbsd-1-5-PATCH003:1.1.1.1
	pkgsrc-base:1.1.1.1
	TNF:1.1.1;
locks; strict;
comment	@# @;


1.6
date	2007.01.04.11.29.07;	author rillig;	state dead;
branches;
next	1.5;

1.5
date	2005.08.01.14.14.49;	author adam;	state Exp;
branches;
next	1.4;

1.4
date	2004.04.21.15.01.28;	author jmmv;	state Exp;
branches;
next	1.3;

1.3
date	2004.02.26.16.25.52;	author cube;	state Exp;
branches;
next	1.2;

1.2
date	2003.01.06.00.06.11;	author rh;	state dead;
branches;
next	1.1;

1.1
date	2002.03.22.14.17.47;	author wiz;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2002.03.22.14.17.47;	author wiz;	state Exp;
branches;
next	;


desc
@@


1.6
log
@Updated anjuta to 2.0.2.

Anjuta 2.0.2 (15 May 2006) -- Naba Kumar

New: GtkSourceView based editor
New: Project configuration
New: Valgrind plugin
New: Tab drag&drop in Editor
Updated: Manual and FAQ

Improved: global tags can now be updated after installation
Improved: Remember toolbars on restart
Improved: Tag manager now knows about classes/namespaces which
should make C++ programming much more easy (IComplete)
Improved: Devhelp plugin improved but we still have linking problems
Improved: Scintilla is now up-to-date 1.68

Known issues:
- Glade plugin crashes because of namespace conflict with libglade (#341073)
- Devhelp plugin cannot be loaded without setting the correct LD_PATH (#341170)

Bug fixes:
#171314		Anjuta crash when trying to do "stream comment"
#311420 	Crash on terminal deactivation
#317454 	Anjuta crash when array lenght is incorrect
#332084 	Anjuta crashes, when Ctrl+c is pressed.
#170467 	crash when changing fonts and color in the preferences di...
#172442 	inserting empty box comment
#172666 	cvs diff does not always obtain full diff
#300231 	Find pane non-functional
#304495 	Project saved as fullscreen
#304641 	Can't type the "-character
#305082 	anjuta 2.0.0: crash in debugger / watch / inspect memory
#305301 	In menu tree "Settings"->"Customize shortcuts" there are ...
#305587 	gtkmm project compile crash
#306790 	doble click in a message, doesn't find the file.
#306966 	Search tool on the tool bar don't work correctly
#306970 	The order of the command buttons "Close" - "Search" - "St...
#307800 	Crashes when project directory removed from command line.
#307810 	Can't configure a project after creating with new project...
#307872 	Remember Configure and autogen options for the next time
#307879 	Crashed when exiting
#308870 	Glade Plugin Won't open Glade file.
#309153 	code cleanup use glib/gi18n.h
#309348 	Anjuta 2.0.1, Anjuta application crash upon build (F9)
#309526 	Help->ReportBugs points to removed bug tracking system
#309688 	When committing a file that is loaded, I get a file-modif...
#311710 	freeze in __lll_mutex_lock_wait () after crash?
#312566 	Patch that will fix another make -j 10 problem
#312666 	Return "F3" to execute project
#314069 	Window gets hidden when using glade3 plugin
#315188 	Project Wizard Problems
#315218 	anjuta 2.0 freeze on opening my project
#315521 	Failed to compile HEAD-hourly-2005-09-05-18
#316731 	Can not add new encodings
#320338 	Colors of tab menu labels
#320341 	Critical error in debugger "locals" window.
#321090 	Wrong array/struct/union var type display in locals windows
#321455 	Ask for root password when installing
#322634 	anjuta_ui_add_action_group_entries : Anjuta Developers Re...
#322744 	New anjuta plugin project configured incorrectly
#324572 	anjuta crashes on open
#328209 	Crash when opening a file while an unsaved new file is open
#332161 	Test editor not opening
#333601 	GPL headers are first to c-header template.
#333606 	Macro contain hyphen
#334663 	Allow to set a parent class to new GObject class
#335142 	crash when opeing a second file
#336389 	Should check for libwnck
#107510 	Excessive messages marked for translation in anjuta
#304650 	make -j CPUS doesn't always work for anjuta2
#334546		No more lookup widget
#312319 	Opening files when Anjuta is already open
#339296		Wizard can't cope with insufficient permissions in project target directory

Anjuta 2.0.1 (26 Jun 2005) -- Naba Kumar

New: Group and target properties (for automake based projects)
New: Improvements in class heirarchy. Added members view.
New: Tools plugin improvements and scripts as tools.
New: Prepare-ChangeLog tool.
New: Find-Fixmes tool.
New: Project translation status tool.
New: Save and restore editor current line positions.
New: Added configure flags to enable/disable optional plugins.
New: Message saving from menu.
New: Message manager context menu.
New: Remember plugins profile for project sessions.
Mew: Progress bar implementation.
New: Better progress bar in splash.
New: General preferences page.
New: "Add to project" in file wizard and class wizard implemented.
New: glade plugin improvements.
Updated: RPM spec file
Bug fix: Fixed lots of project import bugs.
Bug fix: Group and target removal.
Bug fix: Fixed Message tab position preferece.
Bug fix: Scroll messages on next/previous.
Bug fix: Fixed crash on project Import
Bug fix: Fixed crash on terminal dockings.
Bug fix: Fixed crash on exit (after using save-as dialog once).
Bug fix: Fixed crash on exit.
Bug fix: Fixed mime installation screw-up
Bug fix: Fixed installation paths.
Bug fix: Fixed 64bit arch build problems
Bug fix: Fixed Autoformat/indent problems.
Bug fix: Fixed Keyboard shortcuts for message navigation.
Bug fix: Fixed graphviz build problems.
Bug fix: Start gdb even if the program does	not exists. Fixes bug #305074
Bug fix: Fixed default font names and sizes.
Bug fix: Fixed errors in opening zero sized files.
Bug fix: Fixed buttons order in open dialog.

Anjuta 2.0.0 (15 May 2005) -- Naba Kumar

Architecture and code base:
New: New plugin architecture and all IDE components ported to this framework.
New: Complex docking shell that allows arbitrary docking of IDE widgets.
New: Dynamic plugin activation and deactivation.
New: Extensible architecture.
New: Plugins can interact with other plugins through interface.
New: Plugins can install dynamic UIs (menus/toolbars), including installing
	 context menus in other plugins.
New: Shell and Plugin API documentation.

Integration:
New: Integrated help system with Devhelp.
New: Integrated glade UI designer (incomplete).

Editor plugin:
New: Scope memeber autocompletion (e.g ., -> and :: autocompletion).
New: Editor split views.
New: Automatic indentation with tabbing.
New: More syntax highlighting lexers
New: Split multiple views of document
New: Remote editing (full gnome-vfs support)
New: Real-time file modification monitor.

Project management and build plugin:
New: Multiple parallel builds and independent debugging and execution.
New: Synchronous project management (simultaneous manual and automatic management)
New: Mime based filemanager and desktop integration.

Other plugins:
New: Task Manager.
New: Macro plugin allows inserting predefined and user defined texts (macros).
New: Easily extensible template based project wizards (based on autogen).
New: Symbol search plugin.
New: C++ and GObject based class wizard.
New: Class inheritance diagram plugin.
New: Subversion plugin (incomplete)
New: Session management framework.
Updated: Debuger uses GDB machine-interface.
Updated: CVS plugin
Updated: Pretty much everyting.
@
text
@$NetBSD: patch-ad,v 1.5 2005/08/01 14:14:49 adam Exp $

--- configure.orig	2005-05-15 07:03:42.000000000 +0000
+++ configure
@@@@ -22677,7 +22677,7 @@@@ done
 
 
 
-for ac_header in sys/dir.h sys/stat.h sys/times.h sys/types.h
+for ac_header in sys/dir.h sys/stat.h sys/times.h sys/types.h pty.h sched.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@


1.5
log
@Changes 1.2.3:

After a long time I made another release to bring some patches from the community to all users:

New: Better symbol handling of structs/classes/etc.
New: New realtime func/macros/var/struct define exporer in message windows.
Bug fix: IA64 and Solaris problems
Bug fix: Terminal Ctrl-C and Shift-Insert
Bug fix: Debugger improvements
Bug fix: Project generation
Bug fix: double tags loading
Bug fix: Patches from the debian tree (Thanks!)

Hopefully this will make anjuta more usable for now. Of course there are
many many other bugs but development is concentrating on anjuta2.
@
text
@d1 1
a1 1
$NetBSD$
@


1.4
log
@Update to 1.2.2:

New: Anjuta advanced tutorial
New: Goes to first error automatically (Default is off. need to enable in
     anjuta.properties).
Bug fix: Use build.silent option from preferences (bug #895726)
Bug fix: Use font style defined for message indicators (bug #885032)
Bug fix: Set bold color as foreground color in terminal (bug #864924)
Bug fix: Removed 'cmp' dependency and used internal function to compare files.
Bug fix: Fixed return value when dest file could not be created.
Bug fix: Fixed a typo in Hello World indentation style.
Bug fix: Fixed misuse of translated strings when looking for style (bug #876037)
Bug fix: Save-all action now asks for filenames for new files (bug #898111)
Bug fix: Fixed a compiler warnings.
Bug fix: Disabled printing of long debug lines.
Bug fix: Close buttons on all dialogs (HIG) and ESC closes them (bug #671596).
Bug fix: Fixed a program execution crash bug.
Bug fix: Fixed Crash on Find & Replace (#887833)
Bug fix: Use defined file name when saving new files (fixes bug #898105).
Bug fix: Don't change filename when clicking on a directory.
Bug fix: Implemented keypress ctrl-c and ctrl-d for terminal (bug #878357).
Bug fix: Do not reload new files (bug #900897).
Bug fix: Disconnects menuitem signal properly (bug #901723).
Bug fix: Fixed bugs #890609 and #890609, #900903.
Bug fix: Fixed a typo in tutorial (bug #866143).
Bug fix: Reduced size of Search and Replace dialog (bug #902636).
Bug fix: Fixed a runtime warning (bug #900087).
Bug fix: Changed build shortcut to F11 (bug #877683).
Bug fix: Do not defualt to -k make option (bug #875486).
Bug fix: CFLAGS passed correctly (bug #816130, #801056, #782798, #773459)
Bug fix: Improved Search and Replace. Fixed crash bug.
Bug fix: Fixed bug #910097 (Insert comment).
Bug fix: Find-Usage rework (bug #890609).
Bug fix: Generated projects read m4 directory. Project generation works.
         (bug #917781).
Bug fix: Fixed Find-Usage crash when no project open
Bug fix: Fixed bug #893400 ("Remove file" in project tree).
Bug fix: Aligned buttons in the New file dialog and HIG compliance.
Bug fix: Fixed to get correct child exit status	using mask (bug #905738).
Bug fix: Goto the first error if it exists (bug #874380).
Bug fix: Save-all for 1 file opened (bug #912618).
Bug fix: Fixed conditional breakpoints.
Bug fix: Fixed debugger calltips displayed for wrong file.
Bug fix: Fixed delete breakpoints.
Bug fix: Fixed Breakpoint setting bugs (bug #895536).
Bug fix: Fixed a crash bug with debugger attach process dialog
Bug fix: Fixed freeze-ups during build terminations (bug #905738).
Bug fix: Fixed a memory corruption (bug #921893).
Bug fix: Open file starts in right directory (bug #908941).
Bug fix: Fixed another crash bug in Find-Usage.
Bug fix: Correctly prompts and reponds passwords (bug #894533).
Bug fix: Fixed 'remove' and 'clear' of Defines list in compiler options
         (bug #883837).
Bug fix: Installs .glade file of libgllade projects (bug #861038).
Bug fix: Glade based projects can now find installed pixmaps (bug #919903).
Bug fix: Fixed ADA syntax highlighting (bug #923474).
Bug fix: Fixed HANGUP bug for long lines (bugs #700968 and #911376)
Bug fix: Fixed core file loading in debugger.
Bug fix: Partially fixed to show long calltips properly (bug #917982).
Bug fix: Fixed a crash bug in search replace. (bug #921893).
Bug fix: Fixed a crash when launcher child could not be executed (bug #926606).
Bug fix: Fixed a crash bug when opening and closing a large project repeatedly.
Bug fix: Sets filename when saving new files.
Bug fix: Most font and print related bugs fixed (bug #885023, #925956, #890473).
@
text
@d3 1
a3 1
--- configure.orig	2004-04-13 06:37:20.000000000 +0200
d5 1
a5 1
@@@@ -21414,7 +21414,7 @@@@ done
@


1.3
log
@Update to version 1.2.1, with some ideas from Nir Mor.

anjuta now uses GTK+2/GNOME2 environment.  There has been a lot of active
development since the 1.0 branch, listing it would be way too long (parsing
it, too).  Refer to ChangeLog in the WRKSRC directory.
@
text
@d3 1
a3 1
--- configure.orig	2003-12-08 07:38:26.000000000 +0100
d5 1
a5 1
@@@@ -10514,6 +10514,148 @@@@ done
d9 5
a13 273
+for ac_header in pty.h util.h sched.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+  yes:no )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf@@gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+  no:yes )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------ ##
+## Report this to bug-autoconf@@gnu.org. ##
+## ------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
 
 case $host_os in
   *cygwin* ) CYGWIN=yes;;
@@@@ -12562,15 +12704,96 @@@@ _ACEOF
     fi
 fi
 
-echo "$as_me:$LINENO: checking if building on FreeBSD" >&5
-echo $ECHO_N "checking if building on FreeBSD... $ECHO_C" >&6
 
-if test `uname -s` = "FreeBSD" ; then
-        echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-        FREEBSD_BUILD=-DFREEBSD
 
-	# Extract the first word of "gmake", so it can be a program name with args.
+
+for ac_func in getline
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+FREEBSD_BUILD=
+
+
+# Extract the first word of "gmake", so it can be a program name with args.
 set dummy gmake; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
@@@@ -12610,19 +12833,17 @@@@ else
 echo "${ECHO_T}no" >&6
 fi
 
-	if test "x$GMAKE" = "xno"; then
+if test "x$GMAKE" = "xno"; then
+	if (make -v | grep GNU) 2>&1 1>/dev/null; then
+		GMAKE="make"
+	else
 		{ { echo "$as_me:$LINENO: error: You need gmake installed to build Anjuta!" >&5
 echo "$as_me: error: You need gmake installed to build Anjuta!" >&2;}
    { (exit 1); exit 1; }; }
 	fi
-else
-        echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-	GMAKE="make"
 fi
 
 
-
 { echo "$as_me:$LINENO: checking \"for missing prototypes\"..." >&5
 echo "$as_me: checking \"for missing prototypes\"..." >&6;}
 
@


1.2
log
@Update anjuta to 1.0.1.  Changes include:

New: Auto-complete takes graphics now.
New: Auto-complete automatic.
New: Per project editor properties
New: Sub windows now float above main window.
New: Project version and excluded modules configuration.
New: Errors and warnings indications in editor.
New: Tools support and tools editor.
New: Incremental search (like emacs I-Search)
Bug fix: Printing now takes editor default fonts
Bug fix: Rpm package fix
Bug fix: ChangeLog insert uses spaces (instead of tabs)
Bug fix: Fixed compiler warnings.
Bug fix: Fixed debug terminal bug
Bug fix: Disabled gladen to remove the libssl dep.
Bug fix: brace indentation works properly.
Bug fix: Wrap-around search
Updated: Upgraded scintilla to 1.49+
Updated: Upgraded editor properties and added new properties.
Updated: Organized plugins
New: CVS support for Projects and individual files,
     file revisions are displayed in Files pane
New: Gnome Print support (including syntax colouring)
New: Patch plugin to apply diffs
New: Application Wizard support for wxWindows, Xlib,
     GNOME2, Gtk2 and libglade2 Projects, plus option for
         dynamic or static libraries as targets in generic Projects
New: user identity preferences enabling new editor functions
New: better GNOME integration, now uses configured GNOME URL
     handlers
New: MIME handling
New: Anjuta kickstart tutorial
New: automatic expression tips during debugging (hover-and-show)
New: compilation warning/error navigation from terminal
New: better find functionality
New: enhanced file selection widget
New: enhanced Evolution-style about dialog
New: Automatic Variable display when mouse hovered on the
     variable name (in dubugger mode).
New: Raw memory veiw for debugger (somewhat resembling ghex).
Updated: many usability improvements to the GUI and menus
@
text
@d1 1
a1 1
$NetBSD: patch-ad,v 1.1 2002/03/22 14:17:47 wiz Exp $
d3 1
a3 1
--- configure.orig	Thu Feb 14 20:28:40 2002
d5 151
a155 1
@@@@ -10329,7 +10329,7 @@@@
d158 123
a280 4
 packagedatadir=share/${PACKAGE}
-packagedocdir=doc/${PACKAGE}
+packagedocdir=share/doc/${PACKAGE}
 packageplugindir=lib/${PACKAGE}/plugins/${VERSION}
a281 1
 packagepixmapsdir=share/pixmaps/${PACKAGE}
@


1.1
log
@Initial revision
@
text
@d1 1
a1 1
$NetBSD$
@


1.1.1.1
log
@Initial import of anjuta-0.1.9, based on a package provided by Nir Mor
in connection with pkg/15403.
From the DESCR:
Anjuta is a versatile Integrated Development Environment (IDE) for
C and C++ on GNU/Linux. It has been written for GTK/GNOME, and
features a number of advanced programming features. It is basically
a GUI interface for the collection of command line programming
utilities and tools available for unix.  These are usually run via
a text console, and can be unfriendly to use.
@
text
@@
